summaryrefslogtreecommitdiff
path: root/tests/hg-single-commit.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests/hg-single-commit.script')
-rwxr-xr-xtests/hg-single-commit.script45
1 files changed, 45 insertions, 0 deletions
diff --git a/tests/hg-single-commit.script b/tests/hg-single-commit.script
new file mode 100755
index 0000000..e999007
--- /dev/null
+++ b/tests/hg-single-commit.script
@@ -0,0 +1,45 @@
+#!/bin/sh
+#
+# Tests converting a simple hg repository to hg.
+#
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+set -e
+
+
+logfile="$DATADIR/hg-test-repo.log"
+workdir="$DATADIR/work-dir"
+
+./lorry --verbose --pull-only --log="$logfile" --working-area="$workdir" \
+ "$DATADIR/hg-test-repo.lorry" > /dev/null 2> /dev/null
+
+cd "$workdir/hg-test-repo/hg/"
+
+# list the branches
+hg branches | cut -d' ' -f1
+
+# cat the test file
+hg cat -r default test.txt
+
+# check out the trunk branch
+cd "$workdir/hg-test-repo"
+hg clone --quiet hg temporary-clone
+cd temporary-clone
+hg update --quiet -c default
+
+# list the commit messages
+hg log --template '{desc|firstline}\n'